- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Namespace List
- Namespace Members

Classes | Functions

# QtPrivate Namespace Reference

## Classes
struct | QMetaTypeIdHelper
struct | QMetaTypeIdHelper< T, false >
## Functions
void Q_CORE_EXPORT | QStringList_sort (QStringList *that)
int Q_CORE_EXPORT | QStringList_removeDuplicates (QStringList *that)
QString Q_CORE_EXPORT | QStringList_join (const QStringList *that, const QString &sep)
QStringList Q_CORE_EXPORT | QStringList_filter (const QStringList *that, const QString &str, Qt::CaseSensitivity cs)
QBool Q_CORE_EXPORT | QStringList_contains (const QStringList *that, const QString &str, Qt::CaseSensitivity cs)
void Q_CORE_EXPORT | QStringList_replaceInStrings (QStringList *that, const QString &before, const QString &after, Qt::CaseSensitivity cs)
void Q_CORE_EXPORT | QStringList_replaceInStrings (QStringList *that, const QRegExp &rx, const QString &after)
QStringList Q_CORE_EXPORT | QStringList_filter (const QStringList *that, const QRegExp &re)
int Q_CORE_EXPORT | QStringList_indexOf (const QStringList *that, const QRegExp &rx, int from)
int Q_CORE_EXPORT | QStringList_lastIndexOf (const QStringList *that, const QRegExp &rx, int from)
int Q_CORE_EXPORT | QStringList_indexOf (const QStringList *that, QRegExp &rx, int from)
int Q_CORE_EXPORT | QStringList_lastIndexOf (const QStringList *that, QRegExp &rx, int from)

## Function Documentation

void Q_CORE_EXPORT QtPrivate::QStringList_sort | ( | QStringList * | that | ) |

Search for all occurrences

int Q_CORE_EXPORT QtPrivate::QStringList_removeDuplicates | ( | QStringList * | that | ) |

Search for all occurrences

QString Q_CORE_EXPORT QtPrivate::QStringList_join | ( | const QStringList * | that,
|  | const QString & | sep
| ) |  |

Search for all occurrences

QStringList Q_CORE_EXPORT QtPrivate::QStringList_filter | ( | const QStringList * | that,
|  | const QString & | str,
|  | Qt::CaseSensitivity | cs
| ) |  |

Search for all occurrences

QBool Q_CORE_EXPORT QtPrivate::QStringList_contains | ( | const QStringList * | that,
|  | const QString & | str,
|  | Qt::CaseSensitivity | cs
| ) |  |

Search for all occurrences

void Q_CORE_EXPORT QtPrivate::QStringList_replaceInStrings | ( | QStringList * | that,
|  | const QString & | before,
|  | const QString & | after,
|  | Qt::CaseSensitivity | cs
| ) |  |

Search for all occurrences

void Q_CORE_EXPORT QtPrivate::QStringList_replaceInStrings | ( | QStringList * | that,
|  | const QRegExp & | rx,
|  | const QString & | after
| ) |  |

Search for all occurrences

QStringList Q_CORE_EXPORT QtPrivate::QStringList_filter | ( | const QStringList * | that,
|  | const QRegExp & | re
| ) |  |

Search for all occurrences

int Q_CORE_EXPORT QtPrivate::QStringList_indexOf | ( | const QStringList * | that,
|  | const QRegExp & | rx,
|  | int | from
| ) |  |

Search for all occurrences

int Q_CORE_EXPORT QtPrivate::QStringList_lastIndexOf | ( | const QStringList * | that,
|  | const QRegExp & | rx,
|  | int | from
| ) |  |

Search for all occurrences

int Q_CORE_EXPORT QtPrivate::QStringList_indexOf | ( | const QStringList * | that,
|  | QRegExp & | rx,
|  | int | from
| ) |  |

Search for all occurrences

int Q_CORE_EXPORT QtPrivate::QStringList_lastIndexOf | ( | const QStringList * | that,
|  | QRegExp & | rx,
|  | int | from
| ) |  |

Search for all occurrences